Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361810 - apper IsInstalled API not working
Summary: apper IsInstalled API not working
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: apper
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-30 18:39 UTC by David Tonhofer
Modified: 2017-11-20 14:23 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-20 14:23:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 377646 None None None 2017-11-20 14:23:32 UTC

Description David Tonhofer 2016-07-30 18:39:43 UTC
Description of problem:
-----------------------

Start VMM from the start menu.

The VMM window appears, than a dialog pops up:

"Install packages by name"
"The application /usr/bin/python2 wanst to install packages"
"libvirt-daemon-kvm" & "libvirt-daemon-config-network"

However, these packages already exist on the system.

Proceeding with installation then results in a failure because "packages already exist on the system"

Going on, I have not succeed in created a VM because "Failed to connect socket to '/var/run/libvirt/libvirt-sock':No such file or directory" which may or may not be related.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------

virt-manager 1.4.0-3.fc24
libvirt-daemon-kvm-1.3.3.2-1
libvirt-daemon-config-network-1.3.3.2-1

How reproducible:
-----------------

Always

Comment 1 David Tonhofer 2016-07-30 21:51:52 UTC
Strongly suspect this is selinux interdicting some action, though I seems unable to find anything in the logs.

Disabled selinux -> it works.

Comment 2 David Tonhofer 2016-07-30 22:17:00 UTC
I have activated selinux again and ... it still works! 

Yet another Heisenbug.

Maybe it was the reboot that fixed it?

Comment 3 Cole Robinson 2016-08-10 14:18:53 UTC
The error: Failed to connect socket to '/var/run/libvirt/libvirt-sock
Meant that libvirtd wasn't running. That said, the package install request shouldn't have asked to install those packages, if they were already installed.

What desktop environment are you using? kde? gnome-shell?

Comment 4 David Tonhofer 2016-08-11 13:12:16 UTC
That's KDE.

I hope to do more playing around with the VMs once my work backlog clears...

Comment 5 Fedora End Of Life 2017-07-25 22:09:24 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Cole Robinson 2017-08-03 21:57:45 UTC
Still relevant on f26

Comment 7 Cole Robinson 2017-08-07 22:13:45 UTC
Okay I gave this some testing. Seems that apper's org.freedesktop.PackageKit.Query.IsInstalled API isn't working on my machine at least, probably yours too.

Firstly it pops up a dialog... this seems intentional but is kind of weird IMO, I don't recall it doing this in the past, and none of the gnome-agents have done it. If API users want to check for a bunch of packages on the system before attempting to install them, this launches several dialogs in a row, which is weird.

The busted part is that for me IsInstalled always returns False even if the package is definitely installed. Example triggering it via d-feet with "systemd", "" options, it launches the dialog which ends up in one of the following states:

* Header says 'Waiting for service to start', progress bar is 0% with 'Unknown state' text
* Header says 'Title description', progress bar is 100% with 'Finished' text

Either way it always returns False

virt-manager then thinks the packages aren't installed, calls InstallPackageNames to install them, which eventually after a bunch of user interaction says those packages are already installed, which is what the original bug was about

Comment 8 Rex Dieter 2017-11-20 14:23:33 UTC
Moving upstream, see 
https://bugs.kde.org/show_bug.cgi?id=377646

Since PackageKit changed it's interface awhile back, neither apper nor plasma-discover has implemented it yet unfortunately.


Note You need to log in before you can comment on or make changes to this bug.